Page MenuHomePhabricator

GENDER support for cx-translation-already-in-progress
Closed, ResolvedPublic

Event Timeline

Nemo_bis created this task.May 14 2015, 4:38 PM
Nemo_bis raised the priority of this task from to Normal.
Nemo_bis updated the task description. (Show Details)
Nemo_bis added projects: I18n, ContentTranslation.
Nemo_bis added a subscriber: geraki.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2015, 4:38 PM
Amire80 set Security to None.
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.
Pginer-WMF moved this task from CX6 to CX7 on the ContentTranslation board.Jul 21 2015, 5:45 PM
Devirk claimed this task.Sep 20 2015, 5:58 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 19 2015, 9:10 AM
MtDu added a subscriber: MtDu.Jan 29 2016, 4:31 AM

What exactly needs to be wrapped in GENDER here?
Thanks,
MtDu

MtDu added a comment.Jan 29 2016, 4:39 AM

Once answered, I'll take care of it. (If anything is determined to need GENDER support, that is.)

Gender of $1 may require e.g. coordinations like these:

  • This is an ongoing translation {{GENDER:$1|by}} $1.
  • This {{GENDER:$1|is}} an ongoing translation by $1.

depending on language type. I agree that these appear foreign to English speakers :-) but you can as well imagine

  • This is an ongoing translation {{GENDER:$1|by user}} $1.
MtDu claimed this task.Jan 29 2016, 12:25 PM
MtDu added a subscriber: Devirk.

Ok. Now that I look at it, I think the first option seems to be the best one. I'll go ahead and take care of it.
Thanks,
MtDu

Change 244644 had a related patch set uploaded (by Devirk):
Gender support addded to cx-translation-already-in-progress.

https://gerrit.wikimedia.org/r/244644

Change 244644 merged by jenkins-bot:
Gender support addded to conflict messages

https://gerrit.wikimedia.org/r/244644

Amire80 moved this task from Untriaged to Gender on the I18n board.Feb 4 2018, 10:37 AM

Done? Now I saw ...ongoing translation {{GENDER:$2|by}} $1. on twn.

Arrbee moved this task from Bugs to Check & Move on the ContentTranslation board.Sep 3 2018, 12:04 PM
Petar.petkovic closed this task as Resolved.Sep 3 2018, 2:28 PM
Petar.petkovic added a subscriber: Petar.petkovic.

This is long resolved. English message says This is an ongoing translation {{GENDER:$2|by}} $1.